Bug 1552122 (CVE-2018-3821) - CVE-2018-3821 kibana: cross-site scripting (XSS) in the tag cloud visualization
Summary: CVE-2018-3821 kibana: cross-site scripting (XSS) in the tag cloud visualization
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-3821
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1566705
Blocks: 1552125
TreeView+ depends on / blocked
 
Reported: 2018-03-06 14:30 UTC by Laura Pardo
Modified: 2021-10-21 19:56 UTC (History)
21 users (show)

Fixed In Version: kibana 6.1.3, kibana 5.6.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-21 19:56:55 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-03-06 14:30:27 UTC
A flaw was found in Kibana versions after 5.1.1 and before 5.6.7 and 6.1.3 had a cross-site scripting (XSS) vulnerability in the tag cloud visualization that could allow an attacker to obtain sensitive information from or perform destructive actions on behalf of other Kibana users.


References:
https://www.elastic.co/community/security

Comment 3 Andrej Nemec 2018-05-14 15:23:25 UTC
Statement:

This issue affects the versions of kibana as shipped with Red Hat OpenShift Enterprise Linux. Red Hat Product Security has rated this issue as having security impact of Moderate. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.